package router

import (
	"github.com/gin-gonic/gin"
	"go-admin/app/admin/apis/erpordermanage"
	"go-admin/app/admin/middleware"
	jwt "go-admin/pkg/jwtauth"
)

func registerErpOrderManageRouter(v1 *gin.RouterGroup, authMiddleware *jwt.GinJWTMiddleware) {
	r := v1.Group("/erp_order").Use(authMiddleware.MiddlewareFunc()).Use(middleware.AuthCheckRole())

	r.POST("create", erpordermanage.ErpOrderCreate)                   // 创建订单
	r.POST("edit", erpordermanage.ErpOrderEdit)                       // 编辑订单
	r.POST("list", erpordermanage.ErpOrderList)                       // 查询订单列表
	r.POST("audit", erpordermanage.ErpOrderAudit)                     // 审核订单
	r.POST("delete", erpordermanage.ErpOrderDelete)                   // 删除订单
	r.POST("add_invoice", erpordermanage.ErpOrderAddInvoice)          // 开发票
	r.POST("pay", erpordermanage.ErpOrderPay)                         // 收款
	r.POST("query_pay_status", erpordermanage.ErpOrderQueryPayStatus) // 收款
}
