package router

import (
	"github.com/gin-gonic/gin"
	"go-admin/app/admin/apis/inventorymanage"
	"go-admin/app/admin/middleware"
	jwt "go-admin/pkg/jwtauth"
)

func registerInventoryManageRouter(v1 *gin.RouterGroup, authMiddleware *jwt.GinJWTMiddleware) {
	r := v1.Group("/inventory").Use(authMiddleware.MiddlewareFunc()).Use(middleware.AuthCheckRole())
	r.POST("list", inventorymanage.GetInventoryList)     // 库存列表
	r.POST("detail", inventorymanage.GetInventoryDetail) // 库存详情
	r.POST("delivery", inventorymanage.DeliveryCargo)    // 出库
	r.POST("print", inventorymanage.BatchPrint)          // 批量打印
	r.POST("import", inventorymanage.BatchImport)        // 库存导入
	r.POST("add_remark", inventorymanage.AddRemark)      // 添加备注
}
